﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WcfContrib.Client.Description;

namespace WcfContrib.Client.Behaviors
{
    /// <summary>
    /// Represents an interface for implementing an endpoint behavior
    /// </summary>
    public interface IClientEndpointBehavior
    {
        /// <summary>
        /// Applies the client behavior.
        /// </summary>
        /// <param name="clientChannel">The client channel.</param>
        /// <param name="endpointDescription">The endpoint description.</param>
        void ApplyClientBehavior(ClientChannel clientChannel, ClientEndpointDescription endpointDescription);
    }
}
