﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace WcfContrib.Configuration
{
    /// <summary>
    /// Represents a log trace extension configuration element
    /// </summary>
    public class LogTraceExtensionConfigurationElement : ConfigurationElement
    {
        /// <summary>
        /// Gets or sets the log folder path.
        /// </summary>
        /// <value>The log folder path.</value>
        [ConfigurationProperty("logFolderPath")]
        public string LogFolderPath
        {
            get { return (string)base["logFolderPath"]; }
            set { base["logFolderPath"] = value; }
        }
    }
}
