﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfContrib.Configuration
{
    /// <summary>
    /// Represents a configuration element collection of TypeNameConfigurationElement
    /// </summary>
    public class TypeNamesConfigurationCollection : ConfigurationElementCollection<TypeNameConfigurationElement>
    {
        /// <summary>
        /// Gets the element key.
        /// </summary>
        /// <param name="element">The element.</param>
        /// <returns>The element key</returns>
        protected override object GetElementKey(TypeNameConfigurationElement element)
        {
            return element.TypeName;
        }
    }
}
