﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace WcfContrib.Configuration
{
    class WindowsAuthConfigurationSection : ConfigurationSection
    {
        const string WindowsAuthConfigurationSectionName = "wcf.contrib.windows.authorization";

        [ConfigurationProperty("", IsDefaultCollection = true)]
        [ConfigurationCollection(typeof(WindowsAuthElementCollection))]
        public WindowsAuthElementCollection Elements
        {
            get
            {
                return (WindowsAuthElementCollection)this[""];
            }
        }

        internal static WindowsAuthConfigurationSection GetSection()
        {
            return ConfigurationManager.GetSection(WindowsAuthConfigurationSectionName) as WindowsAuthConfigurationSection;
        }
    }
}
