﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;
using System.ServiceModel.Channels;
using System.ServiceModel.Description;
using System.ServiceModel;

namespace WcfContrib.Extensions
{
    /// <summary>
    /// Represents options for extension activation.
    /// </summary>
    public enum ActivationOption
    {
        /// <summary>
        /// Disabled
        /// </summary>
        Disabled,

        /// <summary>
        /// Enabled
        /// </summary>
        Enabled,

        /// <summary>
        /// Active is the URI contains the specific required part.
        /// </summary>
        UriMatch
    }
}
