﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfContrib.Extensions
{
    /// <summary>
    /// Represents known built output controllers.
    /// </summary>
    [Flags]
    public enum KnownOutputControllers
    {
        /// <summary>
        /// Console output controller
        /// </summary>
        Console = 1,

        /// <summary>
        /// Text file output controller
        /// </summary>
        File = 2
    }
}
