﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfContrib.Extensions
{
    /// <summary>
    /// Represents available message access modes
    /// </summary>
    public enum MessageAccessMode
    {
        /// <summary>
        /// No access is required
        /// </summary>
        None = 0,
        /// <summary>
        /// Navigation access is required
        /// </summary>
        Navigate = 1,
        /// <summary>
        /// Actual read acces is required
        /// </summary>
        Read = 2
    }
}
