﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contracts;
using System.ServiceModel;
using WcfContrib.Errors;
using WcfContrib.Extensions.Context;

namespace WcfContrib.Showcase.Service
{
    [ServiceBehavior(ConfigurationName = "MyService")]
    class Service : ServiceBase
    {
    }

    [ServiceBehavior]
    class ServiceConfigFree1 : ServiceBase
    {
    }

    [ServiceBehavior]
    class ServiceConfigFree2 : ServiceBase
    {
    }

    class ServiceBase : IService
    {
        #region IService Members

        public void Do(Foo foo)
        {
            Console.WriteLine("Service: Do()");
        }

        #endregion
    }
}
