﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contracts;
using System.ServiceModel;
using WcfContrib.Errors;
using WcfContrib.Extensions.Context;
using WcfContrib.Handlers;

namespace WcfContrib.Showcase.Service
{
    [ServiceBehavior(ConfigurationName = "MyService")]
    //One way to add the error handler.. Check Program.cs or App.config for other ways
    //[ErrorContextHandler(typeof(MyErrorHandler))]
    class Service : IService
    {
        #region IService Members

        public void Do(Foo foo)
        {
            Console.WriteLine("Service: Do() - Throwing an exception..");

            throw new FaultException<InvalidOperationException>(new InvalidOperationException("Some exception!"));
        }

        #endregion
    }
}
