﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Contracts;
using System.ServiceModel;
using WcfContrib.Errors;
using WcfContrib.Extensions.Context;
using WcfContrib.Handlers;

namespace WcfContrib.Showcase.Service
{
    [ServiceBehavior(ConfigurationName = "MyService")]
    class Service : IService
    {
        #region IService Members

        [DoOperationAuthorizationAttribute]
        public void Do(int moduleId, Foo foo)
        {
            Console.WriteLine("Service: Do() - Throwing an exception..");
        }

        #endregion
    }
}
