﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.Runtime.Serialization;

namespace Contracts
{
    [ServiceContract]
    interface IService
    {
        [OperationContract]
        void Do(Foo foo);

        [OperationContract]
        Foo GetFoo1();

        [OperationContract]
        Foo GetFoo2(int id);

        [OperationContract]
        Foo GetFoo3(int[] id);

        [OperationContract]
        Foo GetFoo4(Foo[] id);

        [OperationContract]
        Foo GetFoo5(Foo foo);
    }

    [DataContract]
    public class Foo
    {
        [DataMember]
        public int Id { get; set; }

        [DataMember]
        public string Name { get; set; }
    }
}
