﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfContrib.Client.Behaviors
{
    /// <summary>
    /// Represents options for context modes of communication channels
    /// </summary>
    public enum ChannelContextMode
    {
        /// <summary>
        /// A cross-calls shared communication channel
        /// </summary>
        Shared,

        /// <summary>
        /// A call-specific dedicated communication channel
        /// </summary>
        Dedicated
    }
}
