﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WcfContrib.Client.Description;

namespace WcfContrib.Client.Behaviors
{
    /// <summary>
    /// Represents an interface for implementing a contract behavior
    /// </summary>
    public interface IClientContractBehavior
    {
        /// <summary>
        /// Applies the client behavior.
        /// </summary>
        /// <param name="contractDescription">The contract description.</param>
        void ApplyClientBehavior(ClientContractDescription contractDescription);
    }
}
