﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using WcfContrib.Client.Description;

namespace WcfContrib.Client.Behaviors
{
    /// <summary>
    /// Represents an interface for implementing an operation behavior
    /// </summary>
    public interface IClientOperationBehavior
    {
        /// <summary>
        /// Applies the client behavior.
        /// </summary>
        /// <param name="operationDescription">The operation description.</param>
        void ApplyClientBehavior(ClientOperationDescription operationDescription);
    }
}
