﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;

namespace WcfContrib.Configuration
{
    /// <summary>
    /// Represents an output cache extension configuration element
    /// </summary>
    public class OutputCacheExtensionConfigurationElement : ConfigurationElement
    {
        /// <summary>
        /// Gets or sets the name of the output cache provider factory type.
        /// </summary>
        /// <value>The name of the output cache provider factory type.</value>
        [ConfigurationProperty("providerFactoryTypeName")]
        public string ProviderFactoryTypeName
        {
            get { return (string)base["providerFactoryTypeName"]; }
            set { base["providerFactoryTypeName"] = value; }
        }
    }
}
