﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WcfContrib.Extensions.Caching
{
    /// <summary>
    /// Represents an interface for implementing an output cache provider factory
    /// </summary>
    public interface IOutputCacheProviderFactory
    {
        /// <summary>
        /// Creates the output cache provider.
        /// </summary>
        /// <returns>The output cache provider</returns>
        IOutputCacheProvider CreateProvider();
    }
}
