﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ServiceModel.Description;

namespace WcfContrib.Metadata
{
    /// <summary>
    /// Represents the summary description for a service endpoint metadata
    /// </summary>
    public sealed class MetadataEndpointDescription
    {
        /// <summary>
        /// Gets the policy definitions defined on the endpoint
        /// </summary>
        public EndpointPolicyDefinitionSet Policies { get; internal set; }

        /// <summary>
        /// Gets the service endpoint
        /// </summary>
        public ServiceEndpoint Endpoint { get; internal set; }

        /// <summary>
        /// Initializes a new instance of the <see cref="MetadataEndpointDescription"/> class.
        /// </summary>
        public MetadataEndpointDescription()
        {

        }
    }
}
